Subject: [Fwd: Re: [mobile-ip] Issue 88 proposal for resolution]

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 22 Oct 2002 16:14:53 -0700

Hello,

Within the mobile-ip working group, there has for quite
a while now been a change to allow advertisements to be
transmitted more often than was specified in RFC 2461.
More recently, it was noticed that this caused a
conflict with MIN_DELAY_BETWEEN_RAS, also as specified
in RFC 2461.  For this reason (and after quite a bit of
discussion), the Mobile IPv6 specification creates a new
configurable parameter, which is specified to override
the previously specified value for the protocol
constant MIN_DELAY_BETWEEN_RAS.  Since the latter
value was specified in an IPv6 working group document,
I thought that it would be appropriate to notify this
group about the resolution of the matter in the mobile-ip
working group, according to the following message.
I truncated the original message, but have supplied a
URL for the rest of the original discussion for the
convenience of interested parties.

Regards,
Charlie P.

-------- Original Message --------
From: "Charles E. Perkins" <[email-masked]>
Subject: Re: [mobile-ip] Issue 88 proposal for resolution
To: Mobile IP Working Group <[email-masked]>

Hello folks,

Since there has not been any discussion to the contrary,
I will apply the following changes to the draft and consider
the issue to be closed.

New text in Section 12. Protocol Constants:

      MinDelayBetweenRAs       0.05 seconds
               ..............   
   
   The value MinDelayBetweenRAs overrides the value of the protocol
   constant MIN_DELAY_BETWEEN_RAS, as specified in RFC 2461 [12].

Regards,
Charlie P.

"Charles E. Perkins" wrote:
> 
> Hello folks,
> 
> Issue #88 a long text, but the overall best resolution is
> I think not difficult.  Bottom line:
> 
> Make a new tunable constant, and (almost) use Brent's text:
> 
> >     To accomodate these values the protocol constant
> >     MIN_DELAY_BETWEEN_RAS needs to be adjusted:
> >
> >      -  MIN_DELAY_BETWEEN_RAS   0.05 seconds
> 
> After much discussion, Jari elaborates and reformulates
> that option (the first "..." is "also", which word applied
> to some previous text I did not replicate here).
> 
> > (2) Make MIN_DELAY_BETWEEN_RAS ... configurable
>             .......                     This ensures that current
> >     characteristics of RAs can be kept by correct configuration.
> >     However, a constant needs to change to a configurable variable
> >     and this looks a bit funny specification-wise ;-)
> 
> I believe this solution is almost fine, and that it is not too problematic
> to change a constant to a configurable variable.  It doesn't seem to
> be any worse than adding new mandatory functionality for such equipment
> that intends to support Mobile IP, and I don't think that the presence
> of such routers would damage pre-existing equipment.
> 
> For the funny-looking typography, we could use lower case
> instead and then specify that the lower-case variant obsoletes
> the upper-case constant from RFC 2461.
> 
> If this solution is acceptable, then I think we should also
> make the proposal known on the IPv6 mailing list for their
> comment, since we are dealing with modification to RFC 2461
> which is a product of that working group.
> 
> Regards,
> Charlie P.
> 
> =======================================================================

                        ............

The rest of the above e-mail message is a quotation of
text can be found at:
     http://www.piuha.net/~jarkko/publications/mipv6/issues/issue88.txt
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------